header{                        /*Styling och placering för header */
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    margin: 10px;
    border: 1px solid black;
    grid-column-start: 1;
    grid-column-end: 8;
    grid-row-start: 1;
    grid-row-end: 3;
    font-size: 30px;
    background-color: rgb(38, 38, 115);
    color: white;
    border-radius: 20px;
}

 

.logo{         /* Loggans styling*/
    height: 35px;             
    margin-right: 20px;
    background-color: #ffffff;         
    border-radius: 4px;               
    box-shadow: 0 4px 10px rgba(0,0,0,0.2); 
    overflow: hidden; 
}

#logofoot{         /* höger placering av loggan i sidfoten */
    float: right;
}


nav{               /* styling och placering för nav, samt sticky position så att den följer med då man skrollar */
    padding: 10px;
    margin: 10px;
    background-color: rgb(132, 158, 230);
    border: 1px solid black;
    position: sticky;
    top: 0;
    grid-column-start: 1;
    grid-column-end: 8;
    grid-row-start: 3;
    grid-row-end: 4;
    
    
}

#main{                /* Grid layout, 12 rader hög och 7 kolumner bred*/
    display: grid;
    grid-template-rows: repeat(12,1fr);
    grid-template-columns: repeat(7,1fr);
    
}

body{                            /* Bakgrundsfärg*/
    background-color: #7378d1;
}

section {                    /* placering och styling för section*/  
    grid-column-start: 1;
    grid-column-end: 6;
    grid-row-start: 4;
    grid-row-end: 11;
    border: solid black 1px;
    padding: 10px;
    margin: 10px;
    background-color:  rgb(38, 38, 115);
    color: white;
}

aside{                       /* placering och styling för aside*/   
    grid-column-start: 6;
    grid-column-end: 8;
    grid-row-start: 4;
    grid-row-end: 9;
    border: solid black 1px;
    padding: 10px;
    margin: 10px;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    font-size: 17px;
    background-color:  rgb(38, 38, 115);
    color: white;
    
}

footer{                       /*Sifotens placering och styling*/
    grid-column-start: 1; 
    grid-column-end: 8;
    grid-row-start: 11;
    grid-row-end: 13;
    border: solid black 1px;
    padding: 10px;
    margin: 10px;
    border-radius: 20px;
    background-color: rgb(38, 38, 115);
    color: white;
    display: inline;
    align-items: center;
    justify-content: center;
    
}



nav ul {                       /* Listan i navigationsmenyn */
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: left;
    align-items: stretch; 
    height: 100%;
}
nav li {            /* Listobjekt i menyn */
    
    margin: 0;
    padding: 0;
    
}
nav li a {                 /* Utseende på länkar i menyn */
    display: flex;
    align-items: center;      
    justify-content: center;  

    height: 100%;             
    padding: 0 20px;        

    color: white;
    text-decoration: none;
}
nav li a:hover {          /* Gör länken som musen är över till grå */
background-color: gray;

}

.active {                                     /* Markerar den aktiva länken med en mörkblp färg*/
    background-color: rgb(62, 67, 187);
    font-weight: bold;
}

#gallery {                      /* För bilderna i bildgalerien, placeras i rader med minsta bredden 250px*/
    display: grid;
    grid-auto-rows: 200px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
    margin: 20px;
}


.gallery-item{                                   /* Styling för bilderna i bildgallerien, rundade kanter, backgrundsfärg och skugga*/
    background-color:rgb(70, 70, 204);         
    border-radius: 10px;               
    box-shadow: 0 4px 10px rgba(0,0,0,0.2); 
    overflow: hidden;  
    display: flex;
    flex-direction: column;
    text-align: center;
    
}

#gallery-item-om{                          /* För bilden i OM sidan, placering till höger*/
    background-color:rgb(70, 70, 204);         
    border-radius: 10px;               
    box-shadow: 0 4px 10px rgba(0,0,0,0.2); 
    overflow: hidden;  
    height: 200px;
    width: 30%;
    float: right;
    object-fit: cover;
}

.gallery-item a{    /* För att man ska kunna skriva text under produktgalleriet*/
    width: 100%;
    height: 82%;
    border-radius: 10px;
    object-fit: cover;
    background-color:#ffffff;
}

.gallery-item img{          /* För båda bildgallerier, gör så att bilden anpassas till den mindre ramen och får en rund kant*/
    width: 100%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
    background-color:#ffffff;
}

iframe {    /* fixade ett validerings fel*/
    border: none;
}

aside ul li {           /* radavstånd i listan i aside*/
    margin-bottom: 12px;
}

section h2 {             /* Underrubrik krävdes för att undvika validerings fel*/
    font-size: 25px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: white;
    text-align: center;
}

/* 
#dropdown {           gömmer dropdown menyn 
    display: none;
}
*/

@media only screen and (max-width: 768px) {   /* Mobil anpassning */

    #main{                       /* Ändrar layouten så att det är flera rader men endast en kolumn */
        display: grid;
        grid-template-rows: repeat(19,1fr);
        grid-template-columns: repeat(1,1fr);
    }
    

    header{                           
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 3;
    }

    nav {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 3;
        grid-row-end: 4;
    }

    section {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 4;
        grid-row-end: 16;
    }

    aside {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 16;
        grid-row-end: 18;
    }

    footer {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 18;
        grid-row-end: 20;
    }

    
/*                               Till mobil menyn, styling till dropdown menyn, fungerade inte bra med min grid layout.
    nav ul {
        display: none;
        border:1px solid black;
    }
    nav {
        border: none;
    }
    #dropdown {
        display: block;
    }
*/


}